MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022872Community[OCCT] OCCT:Modeling Algorithmspublic2011-12-22 11:232014-11-12 09:51
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022872: BRepClass3d_SolidClassifier::PerformInfinitePoint fails
DescriptionPost from the Forum (aut: Timo <roth_cft@web.de>) - http://www.opencascade.org/org/forum/thread_22444/. [^]
"The appended solid has a negative volume.
When I try to correct its orientation via BRepLib::OrientClosedSolid it is not changed because BRepClass3d_SolidClassifier::PerformInfinitePoint gives a wrong result.

In order to reproduce the problem you can use the following Draw-commands:
restore solid.brep s
vprops s
solidorientation s
vprops s

By the way, isn't the help string for solidorientation in Draw wrong?
It is:
"solidorientation : orientsolid myClosedSolid"
Shouldn't it be:
"solidorientation : solidorientation myClosedSolid"
"
====

Steps To Reproducepload ALL
restore solid.brep s
vprops s
## Mass : -24101.9
solidorientation s
vprops s
## Mass : -24101.9
TagsNo tags attached.
Test case numberbugs modalg_5 bug22872
Attached Files? file icon solid.brep (175,413 bytes) 2011-12-22 11:23

- Relationships

-  Notes
(0019095)
abv (manager)
2012-01-12 09:50

The same problem is reproduced on previous versions of OCCT (checked 6.3.0 and 6.5.0)
(0032191)
abv (manager)
2014-09-26 09:53

Not reproduced on current master, please add a test case
(0033854)
git (administrator)
2014-10-29 19:05

Branch CR22872 has been created by apn.

SHA-1: f3c2b9f193611310ba28c7bdf39be64079d264d6


Detailed log of new commits:

Author: apn
Date: Wed Oct 29 19:04:36 2014 +0300

    0022872: BRepClass3d_SolidClassifier::PerformInfinitePoint fails
    
    Added test case bugs/modalg_5/bug22872
(0033855)
apn (administrator)
2014-10-29 19:05

Problem is not reproduced on current state of master on Windows and Debian60-64 in Release and Debug modes.
Branch CR22872 was created. It contains test case:
bugs modalg_5 bug22872 - OK
(0034282)
git (administrator)
2014-11-12 09:51

Branch CR22872 has been deleted by inv.

SHA-1: f3c2b9f193611310ba28c7bdf39be64079d264d6

- Related Changesets
occt: master 32c36933
Timestamp: 2014-10-29 16:04:36
Author: apn
Committer: bugmaster
Details ] Diff ]
0022872: BRepClass3d_SolidClassifier::PerformInfinitePoint fails

Added test case bugs/modalg_5/bug22872
add - tests/bugs/modalg_5/bug22872 Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-12-22 11:23 szy New Issue
2011-12-22 11:23 szy Assigned To => jgv
2011-12-22 11:23 szy File Added: solid.brep
2012-01-12 09:50 abv Note Added: 0019095
2012-02-09 08:56 abv Target Version 6.5.3 => 6.5.4
2012-10-23 18:41 abv Target Version 6.5.4 => 6.6.0
2013-03-01 21:33 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:21 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:19 abv Target Version 6.7.1 => 6.8.0
2014-09-26 09:53 abv Note Added: 0032191
2014-09-26 09:53 abv Assigned To jgv => bugmaster
2014-09-26 09:53 abv Status new => feedback
2014-09-26 14:04 bugmaster Assigned To bugmaster => apv
2014-10-20 11:57 bugmaster Assigned To apv => apn
2014-10-29 19:05 git Note Added: 0033854
2014-10-29 19:05 apn Note Added: 0033855
2014-10-29 19:06 apn Test case number => bugs modalg_5 bug22872
2014-10-29 19:06 apn Assigned To apn => bugmaster
2014-10-29 19:06 apn Status feedback => tested
2014-10-31 14:03 bugmaster Changeset attached => occt master 32c36933
2014-10-31 14:03 bugmaster Status tested => verified
2014-10-31 14:03 bugmaster Resolution open => fixed
2014-11-11 12:43 user533 Fixed in Version => 6.8.0
2014-11-11 13:03 user533 Status verified => closed
2014-11-12 09:51 git Note Added: 0034282


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker